type: object
required:
  - firstName
  - lastName
  - email
  - type
properties:
  id:
    type: integer
    format: int64
    minimum: 1
    examples:
      user:
        value: 2
      admin:
        value: 1
  user:
    type: integer
    format: int64
    minimum: 1
    examples:
      user:
        value: 2
      admin:
        value: 1
  firstName:
    type: string
    examples:
      user:
        value: "Bob"
      admin:
        value: "Admin"
  lastName:
    type: string
    examples:
      user:
        value: "Paulson"
      admin:
        value: "The Admin"
  email:
    type: string
    format: email
    examples:
      user:
        value: "bob@test.com"
      admin:
        value: "admin@test.com"
  companyName:
    type: string
    examples:
      user:
        value: ACME Inc.
      admin:
        value: WePork
  type:
    type: string
    enum:
      - GUEST
      - VIP
      - STAFF
      - VIP FINAL
    examples:
      user:
        value: EMPLOYEE
      admin:
        value: HOST
  created_at:
    type: string
    format: date-time
  updated_at:
    type: string
    format: date-time
  nominationName:
    type: string
    examples:
      user:
        value: "Jake"
      admin:
        value: "The Admin" 
  nominationEmail:
    type: string
    format: email
    examples:
      user:
        value: "Jake@test.com"
      admin:
        value: "admin@test.com"
  job:
    type: string
    examples:
      user:
        value: "Software Developer"
      admin:
        value: "Admin" 
  contact:
    type: string
    examples:
      user:
        value: "00000000"
      admin:
        value: "Admin"                   
